import axios from "@/utils/request";

export function deviceCheckGenByPlanId(planId) {
    return axios(
        {
            url: `/udi/device/upkeep/gen/${planId}`,
            method: "GET"
        }
    )
}


export function deviceUpkeepByUserPage(query) {
  return axios(
    {
      url: "/udi/device/upkeep/byUser/page",
      method: "POST",
      data: query
    }
  )
}

export function deviceUpkeepPage(query) {
    return axios(
        {
            url: `/udi/device/upkeep/page`,
            method: "POST",
            data: query
        }
    )
}

export function deviceUpkeepPageByDept(query) {
    return axios(
        {
            url: `/udi/device/upkeep/pageByDept`,
            method: "POST",
            data: query
        }
    )
}

export function deviceCheckPrint(taskId) {
    return axios(
        {
            url: `/udi/device/upkeep/info/print/${taskId}`,
            method: "GET"
        }
    )
}

export function deviceCheckPrintByDeviceCode(taskId, deviceCode) {
    return axios(
        {
            url: `/udi/device/upkeep/info/print/${taskId}/${deviceCode}`,
            method: "GET"
        }
    )
}

